## class DragCmd : public Command

> abstract table editor drag command.

## Inheritance:

### Public Methods

  | DragCmd (Table *t, TableViewer *v)
  void | Execute ()
  void | UnExecute ()
  void | TrackMouse (TrackType, Point*, Point*, Point*)
  const char* | GetName () const

### Protected Methods

  TableViewer* | GetTableViewer () const
  Point* | GetOldPosition ()
  void | SetOldPosition (const Point *p)
  Point* | GetDelta ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> abstract table editor drag command.

`DragCmd(Table *t, TableViewer *v)`

`void Execute()`

`void UnExecute()`

`void TrackMouse(TrackType, Point*, Point*, Point*)`

`const char* GetName() const`

`TableViewer* GetTableViewer() const`

`Point* GetOldPosition()`

`void SetOldPosition(const Point *p)`

`Point* GetDelta()`

Direct child classes:
  DragRowLabelCmd
  DragRowCmd
  DragColumnLabelCmd
  DragColumnCmd
  DragCellTextCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de